/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Mar-31-2012 06:03:43pm
Filepath: scripts\events and scenarios\Long Live the King 2012\Britain Undead Invasions\HazardsAndCollisions\BurnableGoldCampions.cs
Lines of code: 45

Description: 

***********************************************************/


using System;
using Server.Items;
using Server.Mobiles;
using System.Collections;

namespace Server.Items
{
	public class BurnableGoldCampions : BaseBurnableItem
	{
	
		[Constructable]
		public BurnableGoldCampions() : base()
		{	
			ItemID = 3203;
			Name="Campion Flowers";
			Hue = 2213;
			Movable=false;	
		}

		public BurnableGoldCampions(Serial serial) : base(serial)
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 ); // version
			writer.Write(m_activator);
			writer.Write(m_BurnOutTime);
			writer.Write(Ignited);
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
			
			if(version>=1)
			{
			m_activator=reader.ReadMobile();
			m_BurnOutTime=reader.ReadDateTime();
			Ignited=reader.ReadBool();
			
				if(Ignited)
				{
				timer = new BurnTimer(this);
				timer.Start();
				}
			}
		}
	}
}